Subject: Re: [BUG] Git 2.20: `git help -a' hangs if specific git alias occurs

From: SZEDER Gábor <[email-masked]>
Date: Tue, 11 Dec 2018 18:46:59 +0100

On Tue, Dec 11, 2018 at 06:30:26PM +0100, Sebastian Gniazdowski wrote:
> Hello,
> I've attached a screenshot for running `git help -a' that ends in a
> hang and ~100% cpu usage, for the following ~/.gitconfig (it's also
> attached):
> 
> https://raw.githubusercontent.com/agostonbarna/dotfiles-base/master/.gitconfig
> 
> So it's hangs on the alias `remote-origin-https-to-ssh'. One user in
> following thread discovered, that it's about lenght of the alias:
> "abcdefghijklmnopqr = ... is ok, but with abcdefghijklmnopqrs = ..."
> it will crash, "the problem occurs if the name of a git alias consists
> of more than 18 characters" (see the thread:
> https://github.com/zdharma/fast-syntax-highlighting/issues/95).
> 
> Is there a workaround? Of course a fix is needed, but I'm interested
> specifically in a workaround so my Zsh plugin
> `fast-syntax-highlighting' can work without hang also with Git 2.20,
> without exceptions in code.

Have a look at these patches:

  https://public-inbox.org/git/[email-masked]/T/

It sounds like you hit the same issue.